---
title: Window.ondragdrop
slug: Web/API/Window/ondragdrop
tags:
  - API
  - HTML DOM
  - Obsolete
  - Property
  - Window
  - ondragdrop
---
<p>{{ APIRef() }}{{obsolete_header}}{{non-standard_header}}</p>

<div class="warning">
<p>Removed in Firefox 50, and never implemented in any other browser. Use the modern standard <a href="/en-US/docs/Web/API/HTML_Drag_and_Drop_API">HTML5 drag and drop</a> feature instead.</p>
</div>

<h2 id="Summary">Summary</h2>

<p>An event handler for drag and drop events sent to the window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate"><s>window.ondragdrop = funcRef;</s>
window.addEventListener("dragdrop", funcRef, useCapturing);
</pre>

<dl>
 <dt>funcRef </dt>
 <dd>The event handler function to be registered.</dd>
</dl>

<p>The <code>window.ondragdrop</code> property and the <code>ondragdrop</code> attribute are not implemented in <a href="en/Gecko">Gecko</a> ({{ Bug(112288) }}), you have to use <code>addEventListener</code>. See <a href="en/DOM/element.addEventListener">addEventListener</a> for details.</p>

<h2 id="Example">Example</h2>

<h3 id="Fire_an_alert_on_dragdrop">Fire an alert on dragdrop</h3>

<p>In this example, an event listener is added to the window (the event target). If, from an external source, a tab, a link, marked text or a file is dragged and dropped onto this window, the alert is fired. Note how <code>event.stopPropagation();</code> prevents the browser from loading the dropped tab, link or file.</p>

<pre class="notranslate">&lt;html&gt;
&lt;head&gt;&lt;title&gt;dragdroptest&lt;/title&gt;

&lt;script type="text/javascript"&gt;

window.addEventListener("dragdrop", testfunc, false);

function testfunc(event) {
    alert("dragdrop!");
    event.stopPropagation();
}
&lt;/script&gt;

&lt;/head&gt;
&lt;body&gt;
I am bodytext
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specification"><span class="external">Specification </span></h2>

<p><span class="external">Not part of specification. </span></p>
